DATASET CLOSE ALL.
TITLE *Prepare data.
GET FILE='c:\Program Files\SPSS\employee data.sav'.

BEGIN PROGRAM.
import spss
def printcomment(text):
    "Insert text into Viewer as a text block"
    spss.StartProcedure("Comment")
    spss.TextBlock("Comment", text)
    spss.EndProcedure()
printcomment("""This is a multiline 
comment
on this output.
""")
END PROGRAM.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=gender prevexp jobcat DISPLAY=DEFAULT
  /TABLE jobcat BY gender > prevexp [MEAN]
  /CATEGORIES VARIABLES=gender ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=jobcat ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES MISSING=EXCLUDE
  /TITLES TITLE="Count by gender and jobcat" .

* Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=salbegin salary jobcat
  MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE LABEL="Scatter plot of salbegin and salary by jobcat".
BEGIN GPL
 SOURCE: s=userSource(id("graphdataset"))
 DATA: salbegin=col(source(s), name("salbegin"))
 DATA: salary=col(source(s), name("salary"))
 DATA: jobcat=col(source(s), name("jobcat"), unit.category())
 GUIDE: axis(dim(1), label("Beginning Salary"))
 GUIDE: axis(dim(2), label("Current Salary"))
 GUIDE: legend(aesthetic(aesthetic.color.exterior), label("Employment ",
  "Category"))
 SCALE: cat(aesthetic(aesthetic.color.exterior), include("1", "2", "3"))
 ELEMENT: point(position(salbegin*salary), color.exterior(jobcat))
END GPL.
